import { AssistantConfig } from '@/module/assistant/index.ts';

import { configDir as HomeConfigDir } from '@/module/assistant/config/index.ts';
// 手动解析命令行参数
function parseArgs(args: string[]) {
  const result: { root?: string; home?: boolean } = {};
  for (let i = 0; i < args.length; i++) {
    const arg = args[i];
    // 处理 root 参数
    if (arg === 'root') {
      if (i + 1 < args.length && !args[i + 1].startsWith('-')) {
        result.root = args[i + 1];
        i++; // 跳过下一个参数，因为它是值
      }
    }
    // 处理 home 参数
    if (arg === 'home') {
      result.home = true;
    }
  }
  return result;
}

const args = process.argv.slice(2);
const options = parseArgs(args);
let _configDir = undefined;
if (options.home) {
  _configDir = HomeConfigDir;
} else if (options.root) {
  _configDir = options.root;
}
// console.log('configDir', _configDir);
// process.exit(0);
export const configDir = AssistantConfig.detectConfigDir(_configDir);
export const assistantConfig = new AssistantConfig({
  configDir,
  init: false,
});
